# Bulk create parking places

`POST https://api.parklio.com/v2/parking-places`

This endpoint allows the user to bulk create parking places

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | yes |  |
| `external_id` | string | no |  |
| `place_count` | number | no |  |
| `zone_id` | number | yes |  |

```json
{
  "name": "Parking place",
  "external_id": 1,
  "place_count": 5,
  "zone_id": 1
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "lot_id": 1,
    "name": "Parking place",
    "occupancy_status": 1,
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "external_id": 1,
    "zone_id": 1,
    "uuid": "10ba038e-48da-487b-96e8-8d3b99b6d18a",
    "id": 1
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Requested zone resource does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 303,
      "message": "Zone not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

